# QSizePolicy Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QSizePolicy()
- void QSizePolicy(Policy horizontal, Policy vertical)
- void QSizePolicy(Policy horizontal, Policy vertical, ControlType type)

### Constructor Properties

- prototype: The QSizePolicy prototype object
- DefaultType = 0x00000001
- ButtonBox = 0x00000002
- CheckBox = 0x00000004
- ComboBox = 0x00000008
- Frame = 0x00000010
- GroupBox = 0x00000020
- Label = 0x00000040
- Line = 0x00000080
- LineEdit = 0x00000100
- PushButton = 0x00000200
- RadioButton = 0x00000400
- Slider = 0x00000800
- SpinBox = 0x00001000
- TabWidget = 0x00002000
- ToolButton = 0x00004000
- ControlType( value )
- ControlTypes( value1, value2, ... )
- GrowFlag = 1
- ExpandFlag = 2
- ShrinkFlag = 4
- IgnoreFlag = 8
- PolicyFlag( value )
- Fixed = 0
- Minimum = GrowFlag
- MinimumExpanding = GrowFlag|ExpandFlag
- Maximum = ShrinkFlag
- Preferred = GrowFlag|ShrinkFlag
- Expanding = GrowFlag|ShrinkFlag|ExpandFlag
- Ignored = ShrinkFlag|GrowFlag|IgnoreFlag
- Policy( value )

### Prototype Object Properties

- ControlType controlType()
- Orientations expandingDirections()
- bool hasHeightForWidth()
- bool hasWidthForHeight()
- Policy horizontalPolicy()
- int horizontalStretch()
- bool operator_equal(QSizePolicy s)
- void readFrom(QDataStream arg__1)
- void setControlType(ControlType type)
- void setHeightForWidth(bool b)
- void setHorizontalPolicy(Policy d)
- void setHorizontalStretch(uchar stretchFactor)
- void setVerticalPolicy(Policy d)
- void setVerticalStretch(uchar stretchFactor)
- void setWidthForHeight(bool b)
- void transpose()
- Policy verticalPolicy()
- int verticalStretch()
- void writeTo(QDataStream arg__1)

### Instance Properties

QSizePolicy objects have no special properties beyond those inherited from the QSizePolicy prototype object.